Pkgcheck Warnings

  • All Versions
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.15.0, 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_12
    • PotentialStable
      slot(0), stabled arch: [ amd64 ], potentials: [ ~arm, ~arm64, ~ppc64 ]
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.5.5.0, 2.5.9.0
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 2.5.9.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.13.0, 2.4.14.0, 2.4.15.0, 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.5.4.0, 2.5.5.0, 2.5.9.0
    • UnstableOnly
      for arches: [ arm, arm64, ppc64 ], all versions are unstable: [ 2.4.6.0-r1, 2.4.12.0, 2.4.13.0, 2.4.14.0, 2.4.15.0, 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0 ]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_12
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_12
    • StableRequest
      slot(0) no change in 31 days for unstable keyword: [ ~amd64 ]
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.14.0, 2.4.15.0, 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
  • 2.5.9.0
    • StableRequest
      slot(0) no change in 31 days for unstable keyword: [ ~amd64 ]
  • 2.5.5.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 2.5.9.0
  • 2.5.4.0
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.5.5.0, 2.5.9.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
  • 2.4.16.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.5.4.0, 2.5.5.0, 2.5.9.0
  • 2.4.15.0
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
  • 2.4.14.0
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.15.0, 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
  • 2.4.13.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_12
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.14.0, 2.4.15.0, 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
  • 2.4.12.0
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 2.4.13.0, 2.4.14.0, 2.4.15.0, 2.4.16.0, 2.5.4.0, 2.5.5.0, 2.5.9.0
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_12
  • 2.4.6.0-r1
    • PotentialStable
      slot(0), stabled arch: [ amd64 ], potentials: [ ~arm, ~arm64, ~ppc64 ]
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 17, 18
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_12

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.